Lock the user
POST /obp/v7.0.0/users/PROVIDER/USERNAME/locks
OBPv5.1.0-lockUserByProviderAndUsername Roles: CanLockUser User
Lock a User.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
PROVIDER: ETHEREUM
USERNAME: felixsmith
JSON request body fields (0)
JSON response body fields (3)
- last_lock_date
- 2020-01-27
- type_of_lock
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"type_of_lock": "lock_via_api",
"last_lock_date": "1100-01-01T01:01:01Z"
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20027: User not found by provider and username.
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.